# Class DatabricksHttpTTransport

java.lang.Object
org.apache.thrift.transport.TTransport
com.databricks.jdbc.dbclient.impl.thrift.DatabricksHttpTTransport

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class DatabricksHttpTTransport extends org.apache.thrift.transport.TTransport

## Constructor Summary

Constructors
Constructor
Description
`DatabricksHttpTTransport(IDatabricksHttpClient httpClient, String url, com.databricks.sdk.core.DatabricksConfig databricksConfig, IDatabricksConnectionContext connectionContext)`

## Method Summary

Modifier and Type
Method
Description
`void`
`checkReadBytesAvailable(long numBytes)`
`void`
`close()`
`void`
`flush()`
`org.apache.thrift.TConfiguration`
`getConfiguration()`
`boolean`
`isOpen()`
`void`
`open()`
`int`
`read(byte[] buf, int off, int len)`
`void`
`updateKnownMessageSize(long size)`
`void`
`write(byte[] buf, int off, int len)`

### Methods inherited from class org.apache.thrift.transport.TTransport

`consumeBuffer, getBuffer, getBufferPosition, getBytesRemainingInBuffer, peek, read, readAll, write, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DatabricksHttpTTransport

public DatabricksHttpTTransport(IDatabricksHttpClient httpClient, String url, com.databricks.sdk.core.DatabricksConfig databricksConfig, IDatabricksConnectionContext connectionContext)

## Method Details

### isOpen

public boolean isOpen()

Specified by:
  `isOpen` in class `org.apache.thrift.transport.TTransport`

### open

public void open() throws org.apache.thrift.transport.TTransportException

Specified by:
  `open` in class `org.apache.thrift.transport.TTransport`
Throws:
  `org.apache.thrift.transport.TTransportException`

### close

public void close()

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in class `org.apache.thrift.transport.TTransport`

### read

public int read(byte[] buf, int off, int len) throws org.apache.thrift.transport.TTransportException

Specified by:
  `read` in class `org.apache.thrift.transport.TTransport`
Throws:
  `org.apache.thrift.transport.TTransportException`

### write

public void write(byte[] buf, int off, int len)

Specified by:
  `write` in class `org.apache.thrift.transport.TTransport`

### flush

public void flush() throws org.apache.thrift.transport.TTransportException

Overrides:
  `flush` in class `org.apache.thrift.transport.TTransport`
Throws:
  `org.apache.thrift.transport.TTransportException`

### getConfiguration

public org.apache.thrift.TConfiguration getConfiguration()

Specified by:
  `getConfiguration` in class `org.apache.thrift.transport.TTransport`

### updateKnownMessageSize

public void updateKnownMessageSize(long size) throws org.apache.thrift.transport.TTransportException

Specified by:
  `updateKnownMessageSize` in class `org.apache.thrift.transport.TTransport`
Throws:
  `org.apache.thrift.transport.TTransportException`

### checkReadBytesAvailable

public void checkReadBytesAvailable(long numBytes) throws org.apache.thrift.transport.TTransportException

Specified by:
  `checkReadBytesAvailable` in class `org.apache.thrift.transport.TTransport`
Throws:
  `org.apache.thrift.transport.TTransportException`